#include <iostream>

struct Frilenser
{
    int plata;
    double procenat;
};

int main()
{
    int n, i;
    long long int zarada = 0;
    double max=0, suma=0;
    scanf_s("%d", &n);
    Frilenser frilenseri[200001];
    for (i = 0; i < n; i++)
    {
        scanf_s("%d", &frilenseri[i].plata);
        scanf_s("%lf", &frilenseri[i].procenat);
        zarada += frilenseri[i].plata;
    }
    int indeksMin;
    Frilenser p;
    for (i = 0; i < n - 1; i++)
    {
        indeksMin = i;
        for (int j = i + 1; j < n; j++)
        {
            if (frilenseri[j].procenat < frilenseri[indeksMin].procenat)
            {
                indeksMin = j;
            }

        }
        p = frilenseri[i];
        frilenseri[i] = frilenseri[indeksMin];
        frilenseri[indeksMin] = p;
    }
    i = 0;
    max = frilenseri[i].procenat / 100 * zarada;
    zarada -= frilenseri[i].plata;
    for (i = 1; i < n; i++)
    {
        suma = zarada * frilenseri[i].procenat / 100;
        if (suma > max)
        {
            max = suma;
        }
        zarada -= frilenseri[i].plata;
    }
    printf("%f", max);
}